oggdec(1)

BEZEICHNUNG
oggdec - einfacher Decoder für die Umwandlung von Ogg-Vorbis-Dateien in PCM (Wave oder RAW).

ÜBERSICHT
oggdec [ -Qhv ] [ -b Bits_pro_Abtastwert ] [ -e Bytereihenfolge ] [ -R ] [ -s Vorzeichen ] [ -o Ausgabedatei ] Datei …

BESCHREIBUNG

oggdec dekodiert Ogg-Vorbis-Dateien in PCM-kodierte (»unkomprimierte«) Audiodateien, entweder im Wave- oder RAW-Format.

Für jede Eingabedatei schreibt oggdec eine Ausgabedatei, deren Name anhand des Namens der Eingabedatei bestimmt wird, wobei als Dateiendung ».wav« beziehungsweise ».raw« verwendet wird.

Falls die Eingabedatei als - angegeben wird, liest oggdec aus der Standardeingabe und schreibt in die Standardausgabe, sofern kein Name für eine Ausgabedatei vorliegt. In gleicher Weise führt die Angabe des Namens der Ausgabedatei mit - dazu, dass in die Standardausgabe geschrieben wird.

Das Schreiben des Wave-Formats in die Standardausgabe ist eine schlechte Idee. Wave erfordert ein durchsuchbares Medium, damit die Header-Daten nach dem Schreiben der Audio-Daten neu erstellt werden können, doch die Standardausgabe ist nicht durchsuchbar.

OPTIONEN

-Q, --quiet
    unterdrückt Programmausgaben.

-h, --help
    Hilfe ausgeben.

-V, --version
    Versionsinformationen anzeigen

-b n, --bits=n
    legt die Anzahl der Bits pro Abtastwert fest. Gültige Werte sind 8 oder 16.

-e n, --endian=n
    legt die Bytereihenfolge für die 16-Bit-Ausgabe fest. Die Vorgabe 0 bezeichnet hierbei Little Endian (die Intel-Bytereihenfolge, niederstwertige Bits zuerst speichern). 1 bedeutet Big Endian (höchstwertige Bits zuerst speichern).

-R, --raw
    veranlasst die Ausgabe im Raw-Format. Falls nicht anders angegeben, wird eine Wave-Datei geschrieben (RIFF-Header).

-s n, --sign=n
    legt das Vorzeichen für die Ausgabe fest. 0 für vorzeichenlos, 1 für vorzeichenbehaftet (Vorgabe).

-o Dateiname, --output=Dateiname
    schreibt die Ausgabe in eine Datei des angegebenen Namens. Diese Option ist nur im Raw-Modus gültig oder wenn eine Eingabedatei angegeben wird.

BEISPIELE
Eine Datei enabler.ogg nach enabler.wav
 als vorzeichenbehaftete Ausgabe im 16-Bit-Format in Little-Endian-Bytereihenfolge dekodieren: (Vorgabeoptionen)
    oggdec enabler.ogg

Die Datei enabler.ogg nach enabler.raw als vorzeichenbehaftete Ausgabe im 16-Bit-Format ohne Header in Little-Endian-Bytereihenfolge dekodieren:
    oggdec --raw enabler.ogg

enabler.ogg nach enabler.crazymonkey als vorzeichenlose 8-Bit-Datei dekodieren:
    oggdec -b 8 -s 0 -o enabler.crazymonkey enabler.ogg

enabler.ogg nach enabler.raw als vorzeichenlose 16-Bit-Datei mit Big-Endian-Bytereihenfolge dekodieren (in jedem der folgenden Beispiele):
    oggdec -R -e 1 -b 16 enabler.ogg
    oggdec -R -e 1 -b 16 -o enabler.raw - < enabler.ogg
    oggdec -R -e 1 -b 16 - < enabler.ogg > enabler.raw

Massendekodierung (foo.ogg nach foo.wav, bar.ogg nach bar.wav, quux.ogg nach quux.wav, etc.):
    oggdec *.ogg

AUTOREN

  Programmautoren
Michael Smith <msmith@xiph.org>

  Autoren der Handbuchseite

Frederick Lee <phaethon@linux.ucla.edu>, unterstützt durch einige Millionen mit Tastaturen ausgerüstete Affen in irc://irc.openprojects.net/#vorbis

SIEHE AUCH

ogg123(1), oggenc(1), vorbiscomment(1), flac(1), speexdec(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.